package domain


type AlibabaWdkopenOrderGetPromotions struct {
    /*
        活动优惠金额     */
    DiscountFee  *string `json:"discount_fee,omitempty" `

    /*
        活动名称     */
    ActivityName  *string `json:"activity_name,omitempty" `

    /*
        活动类型     */
    ActivityType  *string `json:"activity_type,omitempty" `

    /*
        活动id     */
    ActivityId  *string `json:"activity_id,omitempty" `

}

func (s *AlibabaWdkopenOrderGetPromotions) SetDiscountFee(v string) *AlibabaWdkopenOrderGetPromotions {
    s.DiscountFee = &v
    return s
}
func (s *AlibabaWdkopenOrderGetPromotions) SetActivityName(v string) *AlibabaWdkopenOrderGetPromotions {
    s.ActivityName = &v
    return s
}
func (s *AlibabaWdkopenOrderGetPromotions) SetActivityType(v string) *AlibabaWdkopenOrderGetPromotions {
    s.ActivityType = &v
    return s
}
func (s *AlibabaWdkopenOrderGetPromotions) SetActivityId(v string) *AlibabaWdkopenOrderGetPromotions {
    s.ActivityId = &v
    return s
}
